Bug 183316 - Clipboard Toolbar actions not deactivating when a Component losses focus
Clipboard Toolbar actions not deactivating when a Component losses focus
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Actions
6.x
Other Linux
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: PLATFORM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 02:26 UTC by shanepanter
Modified: 2011-11-16 16:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shanepanter 2010-04-01 02:26:09 UTC
If you open a source file to edit and have the Clipboard toolbar open the cut copy and paste icons become active as expected. You can confirm this by opening the edit menu and seeing the cut copy and paste actions activated. 

If however you now close the text file that you were editing the Clipboard toolbar cut and copy icons stay active when they should be grayed out. You can confirm this by once again opening the Edit menu and observe that the cut copy and paste actions are indeed disabled. 

If you close the Clipboard toolbar and reopen it without and files open then the toolbar will open to is proper state of the cut, copy, and paste icons disabled.
Comment 1 Jaroslav Tulach 2010-04-13 09:08:55 UTC
Broken deep in the API implementation: core-main#2384c335e6b7
Comment 2 Quality Engineering 2010-04-14 04:39:11 UTC
Integrated into 'main-golden', will be available in build *201004140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2384c335e6b7
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #183316: Deliver PropertyChangeEvent when the action is becoming disabled


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo